This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 214353 - gcc-3.4.6-3 didn't produce correct debug_line info for some kernel functions
gcc-3.4.6-3 didn't produce correct debug_line info for some kernel functions
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc (Show other bugs)
4.3
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-07 02:38 EST by Gui,Jian
Modified: 2007-11-16 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2007-0220
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 13:09:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gui,Jian 2006-11-07 02:38:45 EST
Description of problem:
http://sourceware.org/ml/systemtap/2006-q4/msg00145.html

Version-Release number of selected component (if applicable):
root:/home/root>gcc -v
Reading specs from /usr/lib/gcc/ppc64-redhat-linux/3.4.6/specs
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man
--infodir=/usr/share/info --enable-shared --enable-threads=posix
--disable-checking --with-system-zlib --enable-__cxa_atexit
--disable-libunwind-exceptions --enable-java-awt=gtk --host=ppc64-redhat-linux
--build=ppc64-redhat-linux --target=ppc64-redhat-linux --with-cpu=default32
Thread model: posix
gcc version 3.4.6 20060404 (Red Hat 3.4.6-3)

How reproducible:
gcc -m64 -Wp,-MD,arch/powerpc/kernel/.ptrace.o.d  -nostdinc -isystem
/usr/lib/gcc/ppc64-redhat-linux/3.4.6/include -D__KERNEL__ -Iinclude  -include
include/linux/autoconf.h  -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs
-fno-strict-aliasing -fno-common -Os -msoft-float -pipe -mminimal-toc
-mtraceback=none  -mcall-aixdesc -mtune=power4 -mno-altivec -funit-at-a-time
-mstring -Wa,-maltivec -fomit-frame-pointer -g	-Wdeclaration-after-statement 
-mno-minimal-toc   -D"KBUILD_STR(s)=#s" -D"KBUILD_BASENAME=KBUILD_STR(ptrace)" 
-D"KBUILD_MODNAME=KBUILD_STR(ptrace)" -c -o arch/powerpc/kernel/.tmp_ptrace.o
arch/powerpc/kernel/ptrace.c

Steps to Reproduce:
1. build the vanilla kernel 2.6.18.1
2. readelf --debug-dump=line arch/powerpc/kernel/ptrace.o
  
Actual results:
No line info at ptrace.c:248 for ptrace_disable function

Expected results:
See line info at ptrace.c:248 for ptrace_disable function.

Additional info:
Comment 7 Red Hat Bugzilla 2007-05-01 13:09:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0220.html

Note You need to log in before you can comment on or make changes to this bug.